// Code generated by protoc-gen-go. DO NOT EDIT.
// source: matchespb.proto

package matchespb

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type Mode int32

const (
	Mode_DEFAULT_MODE             Mode = 0
	Mode_NORMAL                   Mode = 1
	Mode_TOURNAMENT_MODE_TWO_RED  Mode = 2
	Mode_TOURNAMENT_MODE_TWO_BLUE Mode = 3
)

var Mode_name = map[int32]string{
	0: "DEFAULT_MODE",
	1: "NORMAL",
	2: "TOURNAMENT_MODE_TWO_RED",
	3: "TOURNAMENT_MODE_TWO_BLUE",
}

var Mode_value = map[string]int32{
	"DEFAULT_MODE":             0,
	"NORMAL":                   1,
	"TOURNAMENT_MODE_TWO_RED":  2,
	"TOURNAMENT_MODE_TWO_BLUE": 3,
}

func (x Mode) String() string {
	return proto.EnumName(Mode_name, int32(x))
}

func (Mode) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_76068d0b20fb4620, []int{0}
}

type Position int32

const (
	Position_DEFAULT_POSITION Position = 0
	Position_BLUE_ATTACK      Position = 1
	Position_BLUE_DEFENSE     Position = 2
	Position_RED_ATTACK       Position = 3
	Position_RED_DEFENSE      Position = 4
	Position_SPECTATOR        Position = 5
)

var Position_name = map[int32]string{
	0: "DEFAULT_POSITION",
	1: "BLUE_ATTACK",
	2: "BLUE_DEFENSE",
	3: "RED_ATTACK",
	4: "RED_DEFENSE",
	5: "SPECTATOR",
}

var Position_value = map[string]int32{
	"DEFAULT_POSITION": 0,
	"BLUE_ATTACK":      1,
	"BLUE_DEFENSE":     2,
	"RED_ATTACK":       3,
	"RED_DEFENSE":      4,
	"SPECTATOR":        5,
}

func (x Position) String() string {
	return proto.EnumName(Position_name, int32(x))
}

func (Position) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_76068d0b20fb4620, []int{1}
}

type Match struct {
	XId                  string            `protobuf:"bytes,1,opt,name=_id,json=Id,proto3" json:"_id,omitempty"`
	XKey                 string            `protobuf:"bytes,2,opt,name=_key,json=Key,proto3" json:"_key,omitempty"`
	TableID              string            `protobuf:"bytes,3,opt,name=tableID,proto3" json:"tableID,omitempty"`
	Started              bool              `protobuf:"varint,4,opt,name=started,proto3" json:"started,omitempty"`
	Users                []*User           `protobuf:"bytes,5,rep,name=users,proto3" json:"users,omitempty"`
	Settings             *Settings         `protobuf:"bytes,6,opt,name=settings,proto3" json:"settings,omitempty"`
	StartTime            string            `protobuf:"bytes,7,opt,name=startTime,proto3" json:"startTime,omitempty"`
	ScoreBlue            int32             `protobuf:"varint,8,opt,name=scoreBlue,proto3" json:"scoreBlue,omitempty"`
	ScoreRed             int32             `protobuf:"varint,9,opt,name=scoreRed,proto3" json:"scoreRed,omitempty"`
	EndTime              string            `protobuf:"bytes,10,opt,name=endTime,proto3" json:"endTime,omitempty"`
	Completed            bool              `protobuf:"varint,11,opt,name=completed,proto3" json:"completed,omitempty"`
	Winner               string            `protobuf:"bytes,12,opt,name=winner,proto3" json:"winner,omitempty"`
	Labels               map[string]string `protobuf:"bytes,13,rep,name=labels,proto3" json:"labels,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *Match) Reset()         { *m = Match{} }
func (m *Match) String() string { return proto.CompactTextString(m) }
func (*Match) ProtoMessage()    {}
func (*Match) Descriptor() ([]byte, []int) {
	return fileDescriptor_76068d0b20fb4620, []int{0}
}

func (m *Match) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Match.Unmarshal(m, b)
}
func (m *Match) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Match.Marshal(b, m, deterministic)
}
func (m *Match) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Match.Merge(m, src)
}
func (m *Match) XXX_Size() int {
	return xxx_messageInfo_Match.Size(m)
}
func (m *Match) XXX_DiscardUnknown() {
	xxx_messageInfo_Match.DiscardUnknown(m)
}

var xxx_messageInfo_Match proto.InternalMessageInfo

func (m *Match) GetXId() string {
	if m != nil {
		return m.XId
	}
	return ""
}

func (m *Match) GetXKey() string {
	if m != nil {
		return m.XKey
	}
	return ""
}

func (m *Match) GetTableID() string {
	if m != nil {
		return m.TableID
	}
	return ""
}

func (m *Match) GetStarted() bool {
	if m != nil {
		return m.Started
	}
	return false
}

func (m *Match) GetUsers() []*User {
	if m != nil {
		return m.Users
	}
	return nil
}

func (m *Match) GetSettings() *Settings {
	if m != nil {
		return m.Settings
	}
	return nil
}

func (m *Match) GetStartTime() string {
	if m != nil {
		return m.StartTime
	}
	return ""
}

func (m *Match) GetScoreBlue() int32 {
	if m != nil {
		return m.ScoreBlue
	}
	return 0
}

func (m *Match) GetScoreRed() int32 {
	if m != nil {
		return m.ScoreRed
	}
	return 0
}

func (m *Match) GetEndTime() string {
	if m != nil {
		return m.EndTime
	}
	return ""
}

func (m *Match) GetCompleted() bool {
	if m != nil {
		return m.Completed
	}
	return false
}

func (m *Match) GetWinner() string {
	if m != nil {
		return m.Winner
	}
	return ""
}

func (m *Match) GetLabels() map[string]string {
	if m != nil {
		return m.Labels
	}
	return nil
}

type User struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Username             string   `protobuf:"bytes,2,opt,name=username,proto3" json:"username,omitempty"`
	Admin                bool     `protobuf:"varint,3,opt,name=admin,proto3" json:"admin,omitempty"`
	Ready                bool     `protobuf:"varint,4,opt,name=ready,proto3" json:"ready,omitempty"`
	Position             Position `protobuf:"varint,5,opt,name=position,proto3,enum=matchespb.Position" json:"position,omitempty"`
	Bet                  int64    `protobuf:"varint,6,opt,name=bet,proto3" json:"bet,omitempty"`
	Color                string   `protobuf:"bytes,7,opt,name=color,proto3" json:"color,omitempty"`
	CurrentTable         string   `protobuf:"bytes,8,opt,name=currentTable,proto3" json:"currentTable,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *User) Reset()         { *m = User{} }
func (m *User) String() string { return proto.CompactTextString(m) }
func (*User) ProtoMessage()    {}
func (*User) Descriptor() ([]byte, []int) {
	return fileDescriptor_76068d0b20fb4620, []int{1}
}

func (m *User) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_User.Unmarshal(m, b)
}
func (m *User) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_User.Marshal(b, m, deterministic)
}
func (m *User) XXX_Merge(src proto.Message) {
	xxx_messageInfo_User.Merge(m, src)
}
func (m *User) XXX_Size() int {
	return xxx_messageInfo_User.Size(m)
}
func (m *User) XXX_DiscardUnknown() {
	xxx_messageInfo_User.DiscardUnknown(m)
}

var xxx_messageInfo_User proto.InternalMessageInfo

func (m *User) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *User) GetUsername() string {
	if m != nil {
		return m.Username
	}
	return ""
}

func (m *User) GetAdmin() bool {
	if m != nil {
		return m.Admin
	}
	return false
}

func (m *User) GetReady() bool {
	if m != nil {
		return m.Ready
	}
	return false
}

func (m *User) GetPosition() Position {
	if m != nil {
		return m.Position
	}
	return Position_DEFAULT_POSITION
}

func (m *User) GetBet() int64 {
	if m != nil {
		return m.Bet
	}
	return 0
}

func (m *User) GetColor() string {
	if m != nil {
		return m.Color
	}
	return ""
}

func (m *User) GetCurrentTable() string {
	if m != nil {
		return m.CurrentTable
	}
	return ""
}

type Settings struct {
	Tournament           bool     `protobuf:"varint,1,opt,name=tournament,proto3" json:"tournament,omitempty"`
	Drunk                bool     `protobuf:"varint,2,opt,name=drunk,proto3" json:"drunk,omitempty"`
	Payed                bool     `protobuf:"varint,3,opt,name=payed,proto3" json:"payed,omitempty"`
	Bet                  bool     `protobuf:"varint,4,opt,name=bet,proto3" json:"bet,omitempty"`
	MaxGoals             int32    `protobuf:"varint,5,opt,name=maxGoals,proto3" json:"maxGoals,omitempty"`
	MaxTime              int32    `protobuf:"varint,6,opt,name=maxTime,proto3" json:"maxTime,omitempty"`
	Rated                bool     `protobuf:"varint,7,opt,name=rated,proto3" json:"rated,omitempty"`
	SwitchPositions      bool     `protobuf:"varint,8,opt,name=switchPositions,proto3" json:"switchPositions,omitempty"`
	Mode                 Mode     `protobuf:"varint,9,opt,name=mode,proto3,enum=matchespb.Mode" json:"mode,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Settings) Reset()         { *m = Settings{} }
func (m *Settings) String() string { return proto.CompactTextString(m) }
func (*Settings) ProtoMessage()    {}
func (*Settings) Descriptor() ([]byte, []int) {
	return fileDescriptor_76068d0b20fb4620, []int{2}
}

func (m *Settings) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Settings.Unmarshal(m, b)
}
func (m *Settings) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Settings.Marshal(b, m, deterministic)
}
func (m *Settings) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Settings.Merge(m, src)
}
func (m *Settings) XXX_Size() int {
	return xxx_messageInfo_Settings.Size(m)
}
func (m *Settings) XXX_DiscardUnknown() {
	xxx_messageInfo_Settings.DiscardUnknown(m)
}

var xxx_messageInfo_Settings proto.InternalMessageInfo

func (m *Settings) GetTournament() bool {
	if m != nil {
		return m.Tournament
	}
	return false
}

func (m *Settings) GetDrunk() bool {
	if m != nil {
		return m.Drunk
	}
	return false
}

func (m *Settings) GetPayed() bool {
	if m != nil {
		return m.Payed
	}
	return false
}

func (m *Settings) GetBet() bool {
	if m != nil {
		return m.Bet
	}
	return false
}

func (m *Settings) GetMaxGoals() int32 {
	if m != nil {
		return m.MaxGoals
	}
	return 0
}

func (m *Settings) GetMaxTime() int32 {
	if m != nil {
		return m.MaxTime
	}
	return 0
}

func (m *Settings) GetRated() bool {
	if m != nil {
		return m.Rated
	}
	return false
}

func (m *Settings) GetSwitchPositions() bool {
	if m != nil {
		return m.SwitchPositions
	}
	return false
}

func (m *Settings) GetMode() Mode {
	if m != nil {
		return m.Mode
	}
	return Mode_DEFAULT_MODE
}

type Command struct {
	Settings             *Settings `protobuf:"bytes,1,opt,name=settings,proto3" json:"settings,omitempty"`
	Position             Position  `protobuf:"varint,2,opt,name=position,proto3,enum=matchespb.Position" json:"position,omitempty"`
	User                 *User     `protobuf:"bytes,3,opt,name=user,proto3" json:"user,omitempty"`
	AddGoalBlue          bool      `protobuf:"varint,4,opt,name=addGoalBlue,proto3" json:"addGoalBlue,omitempty"`
	AddGoalRed           bool      `protobuf:"varint,5,opt,name=addGoalRed,proto3" json:"addGoalRed,omitempty"`
	KickUser             string    `protobuf:"bytes,6,opt,name=kickUser,proto3" json:"kickUser,omitempty"`
	Table                *Table    `protobuf:"bytes,7,opt,name=table,proto3" json:"table,omitempty"`
	XXX_NoUnkeyedLiteral struct{}  `json:"-"`
	XXX_unrecognized     []byte    `json:"-"`
	XXX_sizecache        int32     `json:"-"`
}

func (m *Command) Reset()         { *m = Command{} }
func (m *Command) String() string { return proto.CompactTextString(m) }
func (*Command) ProtoMessage()    {}
func (*Command) Descriptor() ([]byte, []int) {
	return fileDescriptor_76068d0b20fb4620, []int{3}
}

func (m *Command) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Command.Unmarshal(m, b)
}
func (m *Command) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Command.Marshal(b, m, deterministic)
}
func (m *Command) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Command.Merge(m, src)
}
func (m *Command) XXX_Size() int {
	return xxx_messageInfo_Command.Size(m)
}
func (m *Command) XXX_DiscardUnknown() {
	xxx_messageInfo_Command.DiscardUnknown(m)
}

var xxx_messageInfo_Command proto.InternalMessageInfo

func (m *Command) GetSettings() *Settings {
	if m != nil {
		return m.Settings
	}
	return nil
}

func (m *Command) GetPosition() Position {
	if m != nil {
		return m.Position
	}
	return Position_DEFAULT_POSITION
}

func (m *Command) GetUser() *User {
	if m != nil {
		return m.User
	}
	return nil
}

func (m *Command) GetAddGoalBlue() bool {
	if m != nil {
		return m.AddGoalBlue
	}
	return false
}

func (m *Command) GetAddGoalRed() bool {
	if m != nil {
		return m.AddGoalRed
	}
	return false
}

func (m *Command) GetKickUser() string {
	if m != nil {
		return m.KickUser
	}
	return ""
}

func (m *Command) GetTable() *Table {
	if m != nil {
		return m.Table
	}
	return nil
}

type Table struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Location             string   `protobuf:"bytes,2,opt,name=location,proto3" json:"location,omitempty"`
	LastMaintenance      string   `protobuf:"bytes,3,opt,name=lastMaintenance,proto3" json:"lastMaintenance,omitempty"`
	Ready                bool     `protobuf:"varint,4,opt,name=ready,proto3" json:"ready,omitempty"`
	InGame               bool     `protobuf:"varint,5,opt,name=inGame,proto3" json:"inGame,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Table) Reset()         { *m = Table{} }
func (m *Table) String() string { return proto.CompactTextString(m) }
func (*Table) ProtoMessage()    {}
func (*Table) Descriptor() ([]byte, []int) {
	return fileDescriptor_76068d0b20fb4620, []int{4}
}

func (m *Table) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Table.Unmarshal(m, b)
}
func (m *Table) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Table.Marshal(b, m, deterministic)
}
func (m *Table) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Table.Merge(m, src)
}
func (m *Table) XXX_Size() int {
	return xxx_messageInfo_Table.Size(m)
}
func (m *Table) XXX_DiscardUnknown() {
	xxx_messageInfo_Table.DiscardUnknown(m)
}

var xxx_messageInfo_Table proto.InternalMessageInfo

func (m *Table) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *Table) GetLocation() string {
	if m != nil {
		return m.Location
	}
	return ""
}

func (m *Table) GetLastMaintenance() string {
	if m != nil {
		return m.LastMaintenance
	}
	return ""
}

func (m *Table) GetReady() bool {
	if m != nil {
		return m.Ready
	}
	return false
}

func (m *Table) GetInGame() bool {
	if m != nil {
		return m.InGame
	}
	return false
}

type GetOneRequest struct {
	MatchID              string   `protobuf:"bytes,1,opt,name=matchID,proto3" json:"matchID,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetOneRequest) Reset()         { *m = GetOneRequest{} }
func (m *GetOneRequest) String() string { return proto.CompactTextString(m) }
func (*GetOneRequest) ProtoMessage()    {}
func (*GetOneRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_76068d0b20fb4620, []int{5}
}

func (m *GetOneRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetOneRequest.Unmarshal(m, b)
}
func (m *GetOneRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetOneRequest.Marshal(b, m, deterministic)
}
func (m *GetOneRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetOneRequest.Merge(m, src)
}
func (m *GetOneRequest) XXX_Size() int {
	return xxx_messageInfo_GetOneRequest.Size(m)
}
func (m *GetOneRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetOneRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetOneRequest proto.InternalMessageInfo

func (m *GetOneRequest) GetMatchID() string {
	if m != nil {
		return m.MatchID
	}
	return ""
}

// Page token contents should be a url-safe base64 encoded protocol buffe
// https://cloud.google.com/apis/design/design_patterns
type ListAllRequest struct {
	PageSize             int32    `protobuf:"varint,1,opt,name=page_size,json=pageSize,proto3" json:"page_size,omitempty"`
	PageToken            string   `protobuf:"bytes,2,opt,name=page_token,json=pageToken,proto3" json:"page_token,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ListAllRequest) Reset()         { *m = ListAllRequest{} }
func (m *ListAllRequest) String() string { return proto.CompactTextString(m) }
func (*ListAllRequest) ProtoMessage()    {}
func (*ListAllRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_76068d0b20fb4620, []int{6}
}

func (m *ListAllRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListAllRequest.Unmarshal(m, b)
}
func (m *ListAllRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListAllRequest.Marshal(b, m, deterministic)
}
func (m *ListAllRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListAllRequest.Merge(m, src)
}
func (m *ListAllRequest) XXX_Size() int {
	return xxx_messageInfo_ListAllRequest.Size(m)
}
func (m *ListAllRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ListAllRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ListAllRequest proto.InternalMessageInfo

func (m *ListAllRequest) GetPageSize() int32 {
	if m != nil {
		return m.PageSize
	}
	return 0
}

func (m *ListAllRequest) GetPageToken() string {
	if m != nil {
		return m.PageToken
	}
	return ""
}

type ListAllResponse struct {
	Matches              []*Match `protobuf:"bytes,1,rep,name=matches,proto3" json:"matches,omitempty"`
	NextPageToken        string   `protobuf:"bytes,2,opt,name=next_page_token,json=nextPageToken,proto3" json:"next_page_token,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ListAllResponse) Reset()         { *m = ListAllResponse{} }
func (m *ListAllResponse) String() string { return proto.CompactTextString(m) }
func (*ListAllResponse) ProtoMessage()    {}
func (*ListAllResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_76068d0b20fb4620, []int{7}
}

func (m *ListAllResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListAllResponse.Unmarshal(m, b)
}
func (m *ListAllResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListAllResponse.Marshal(b, m, deterministic)
}
func (m *ListAllResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListAllResponse.Merge(m, src)
}
func (m *ListAllResponse) XXX_Size() int {
	return xxx_messageInfo_ListAllResponse.Size(m)
}
func (m *ListAllResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ListAllResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ListAllResponse proto.InternalMessageInfo

func (m *ListAllResponse) GetMatches() []*Match {
	if m != nil {
		return m.Matches
	}
	return nil
}

func (m *ListAllResponse) GetNextPageToken() string {
	if m != nil {
		return m.NextPageToken
	}
	return ""
}

type CreateOneRequest struct {
	Match                *Match   `protobuf:"bytes,1,opt,name=match,proto3" json:"match,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CreateOneRequest) Reset()         { *m = CreateOneRequest{} }
func (m *CreateOneRequest) String() string { return proto.CompactTextString(m) }
func (*CreateOneRequest) ProtoMessage()    {}
func (*CreateOneRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_76068d0b20fb4620, []int{8}
}

func (m *CreateOneRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateOneRequest.Unmarshal(m, b)
}
func (m *CreateOneRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateOneRequest.Marshal(b, m, deterministic)
}
func (m *CreateOneRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateOneRequest.Merge(m, src)
}
func (m *CreateOneRequest) XXX_Size() int {
	return xxx_messageInfo_CreateOneRequest.Size(m)
}
func (m *CreateOneRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateOneRequest.DiscardUnknown(m)
}

var xxx_messageInfo_CreateOneRequest proto.InternalMessageInfo

func (m *CreateOneRequest) GetMatch() *Match {
	if m != nil {
		return m.Match
	}
	return nil
}

type CreateOneResponse struct {
	Match                *Match   `protobuf:"bytes,1,opt,name=match,proto3" json:"match,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CreateOneResponse) Reset()         { *m = CreateOneResponse{} }
func (m *CreateOneResponse) String() string { return proto.CompactTextString(m) }
func (*CreateOneResponse) ProtoMessage()    {}
func (*CreateOneResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_76068d0b20fb4620, []int{9}
}

func (m *CreateOneResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateOneResponse.Unmarshal(m, b)
}
func (m *CreateOneResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateOneResponse.Marshal(b, m, deterministic)
}
func (m *CreateOneResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateOneResponse.Merge(m, src)
}
func (m *CreateOneResponse) XXX_Size() int {
	return xxx_messageInfo_CreateOneResponse.Size(m)
}
func (m *CreateOneResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateOneResponse.DiscardUnknown(m)
}

var xxx_messageInfo_CreateOneResponse proto.InternalMessageInfo

func (m *CreateOneResponse) GetMatch() *Match {
	if m != nil {
		return m.Match
	}
	return nil
}

func init() {
	proto.RegisterEnum("matchespb.Mode", Mode_name, Mode_value)
	proto.RegisterEnum("matchespb.Position", Position_name, Position_value)
	proto.RegisterType((*Match)(nil), "matchespb.Match")
	proto.RegisterMapType((map[string]string)(nil), "matchespb.Match.LabelsEntry")
	proto.RegisterType((*User)(nil), "matchespb.User")
	proto.RegisterType((*Settings)(nil), "matchespb.Settings")
	proto.RegisterType((*Command)(nil), "matchespb.Command")
	proto.RegisterType((*Table)(nil), "matchespb.Table")
	proto.RegisterType((*GetOneRequest)(nil), "matchespb.GetOneRequest")
	proto.RegisterType((*ListAllRequest)(nil), "matchespb.ListAllRequest")
	proto.RegisterType((*ListAllResponse)(nil), "matchespb.ListAllResponse")
	proto.RegisterType((*CreateOneRequest)(nil), "matchespb.CreateOneRequest")
	proto.RegisterType((*CreateOneResponse)(nil), "matchespb.CreateOneResponse")
}

func init() { proto.RegisterFile("matchespb.proto", fileDescriptor_76068d0b20fb4620) }

var fileDescriptor_76068d0b20fb4620 = []byte{
	// 1004 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x8c, 0x56, 0x4d, 0x6f, 0xdb, 0x46,
	0x10, 0x35, 0x25, 0x51, 0xa6, 0x46, 0xb6, 0xc4, 0x6c, 0x83, 0x94, 0x95, 0xdd, 0x42, 0x60, 0x50,
	0x43, 0xf5, 0xc1, 0x05, 0xdc, 0xa2, 0x68, 0xd3, 0x93, 0x6c, 0x31, 0xae, 0x11, 0xc9, 0x32, 0x56,
	0x34, 0x7a, 0x14, 0xd6, 0xe4, 0x22, 0x26, 0x4c, 0x91, 0x2a, 0xb9, 0x4a, 0xec, 0x5c, 0x7b, 0xec,
	0xbd, 0xbf, 0xab, 0xa7, 0x5e, 0xfa, 0x67, 0x8a, 0x19, 0x7e, 0x88, 0xb2, 0x1d, 0xc0, 0x37, 0xbd,
	0x37, 0xb3, 0xbb, 0xf3, 0xe6, 0xcd, 0x10, 0x82, 0xee, 0x42, 0x28, 0xef, 0x46, 0xa6, 0xcb, 0xeb,
	0xa3, 0x65, 0x12, 0xab, 0x98, 0xb5, 0x4a, 0xc2, 0xfe, 0xa7, 0x0e, 0xfa, 0x04, 0x11, 0xeb, 0x42,
	0x7d, 0x1e, 0xf8, 0x96, 0xd6, 0xd7, 0x06, 0x2d, 0x5e, 0x3b, 0xf7, 0xd9, 0x0b, 0x68, 0xcc, 0x6f,
	0xe5, 0xbd, 0x55, 0x23, 0xa6, 0xfe, 0x4e, 0xde, 0x33, 0x0b, 0xb6, 0x95, 0xb8, 0x0e, 0xe5, 0xf9,
	0xc8, 0xaa, 0x13, 0x5b, 0x40, 0x8c, 0xa4, 0x4a, 0x24, 0x4a, 0xfa, 0x56, 0xa3, 0xaf, 0x0d, 0x0c,
	0x5e, 0x40, 0xf6, 0x2d, 0xe8, 0xab, 0x54, 0x26, 0xa9, 0xa5, 0xf7, 0xeb, 0x83, 0xf6, 0x71, 0xf7,
	0x68, 0x5d, 0xcd, 0x55, 0x2a, 0x13, 0x9e, 0x45, 0xd9, 0xf7, 0x60, 0xa4, 0x52, 0xa9, 0x20, 0x7a,
	0x9f, 0x5a, 0xcd, 0xbe, 0x36, 0x68, 0x1f, 0x7f, 0x51, 0xc9, 0x9c, 0xe5, 0x21, 0x5e, 0x26, 0xb1,
	0x7d, 0x68, 0xd1, 0x13, 0x6e, 0xb0, 0x90, 0xd6, 0x36, 0x55, 0xb3, 0x26, 0x28, 0xea, 0xc5, 0x89,
	0x3c, 0x09, 0x57, 0xd2, 0x32, 0xfa, 0xda, 0x40, 0xe7, 0x6b, 0x82, 0xf5, 0xc0, 0x20, 0xc0, 0xa5,
	0x6f, 0xb5, 0x28, 0x58, 0x62, 0x54, 0x22, 0x23, 0x9f, 0x6e, 0x85, 0x4c, 0x63, 0x0e, 0xf1, 0x4e,
	0x2f, 0x5e, 0x2c, 0x43, 0x89, 0x2a, 0xdb, 0xa4, 0x72, 0x4d, 0xb0, 0x57, 0xd0, 0xfc, 0x18, 0x44,
	0x91, 0x4c, 0xac, 0x1d, 0x3a, 0x96, 0x23, 0xf6, 0x23, 0x34, 0x43, 0x71, 0x2d, 0xc3, 0xd4, 0xda,
	0xa5, 0x06, 0xec, 0x57, 0x64, 0x51, 0xe7, 0x8f, 0xc6, 0x14, 0x76, 0x22, 0x95, 0xdc, 0xf3, 0x3c,
	0xb7, 0xf7, 0x0b, 0xb4, 0x2b, 0x34, 0x33, 0xa1, 0x8e, 0x56, 0x64, 0xe6, 0xe0, 0x4f, 0xf6, 0x12,
	0xf4, 0x0f, 0x02, 0xc5, 0x65, 0xf6, 0x64, 0xe0, 0x4d, 0xed, 0x67, 0xcd, 0xfe, 0x4f, 0x83, 0x06,
	0x76, 0x96, 0x75, 0xa0, 0xb6, 0x36, 0x34, 0xf0, 0x51, 0x35, 0xf6, 0x3a, 0x12, 0x8b, 0xe2, 0x54,
	0x89, 0xf1, 0x3a, 0xe1, 0x2f, 0x82, 0x88, 0x7c, 0x35, 0x78, 0x06, 0x90, 0x4d, 0xa4, 0xf0, 0xef,
	0x73, 0x4f, 0x33, 0x80, 0x56, 0x2d, 0xe3, 0x34, 0x50, 0x41, 0x1c, 0x59, 0x7a, 0x5f, 0x1b, 0x74,
	0x36, 0xac, 0xba, 0xcc, 0x43, 0xbc, 0x4c, 0xc2, 0xea, 0xaf, 0xa5, 0x22, 0x5b, 0xeb, 0x1c, 0x7f,
	0xe2, 0xc5, 0x5e, 0x1c, 0xc6, 0x49, 0x6e, 0x5c, 0x06, 0x98, 0x0d, 0x3b, 0xde, 0x2a, 0x49, 0x64,
	0xa4, 0x5c, 0x1c, 0x2b, 0xf2, 0xad, 0xc5, 0x37, 0x38, 0xfb, 0xcf, 0x1a, 0x18, 0xc5, 0x34, 0xb0,
	0x6f, 0x00, 0x54, 0xbc, 0x22, 0x05, 0x91, 0x22, 0xa5, 0x06, 0xaf, 0x30, 0xf8, 0x8c, 0x9f, 0xac,
	0xa2, 0x5b, 0x92, 0x6b, 0xf0, 0x0c, 0x20, 0xbb, 0x14, 0xf7, 0xd2, 0x2f, 0xb4, 0x12, 0x28, 0x8a,
	0xcc, 0x94, 0x52, 0x91, 0x3d, 0x30, 0x16, 0xe2, 0xee, 0x2c, 0x16, 0x61, 0x4a, 0x3a, 0x75, 0x5e,
	0x62, 0x9c, 0x92, 0x85, 0xb8, 0xa3, 0x29, 0x69, 0x52, 0xa8, 0x80, 0xd4, 0x33, 0x81, 0x13, 0xb2,
	0x9d, 0xf7, 0x0c, 0x01, 0x1b, 0x40, 0x37, 0xfd, 0x18, 0x28, 0xef, 0xa6, 0x68, 0x4f, 0x4a, 0xea,
	0x0c, 0xfe, 0x90, 0x66, 0xaf, 0xa1, 0xb1, 0x88, 0x7d, 0x49, 0x73, 0xd9, 0xd9, 0x58, 0x97, 0x49,
	0xec, 0x4b, 0x4e, 0x41, 0xfb, 0xef, 0x1a, 0x6c, 0x9f, 0xc6, 0x8b, 0x85, 0x88, 0xfc, 0x8d, 0xcd,
	0xd1, 0x9e, 0xb3, 0x39, 0x55, 0xff, 0x6a, 0xcf, 0xf1, 0xef, 0x35, 0x34, 0x70, 0x50, 0xa8, 0x5f,
	0x4f, 0x6c, 0x30, 0x05, 0x59, 0x1f, 0xda, 0xc2, 0xf7, 0xb1, 0x3b, 0xb4, 0x73, 0x59, 0x1f, 0xab,
	0x14, 0xba, 0x95, 0x43, 0xdc, 0x3b, 0x3d, 0x73, 0x6b, 0xcd, 0x60, 0xbf, 0x6f, 0x03, 0xef, 0x16,
	0xef, 0xa4, 0xa6, 0xb6, 0x78, 0x89, 0xd9, 0x01, 0xe8, 0xf4, 0xa9, 0xa1, 0xae, 0xb6, 0x8f, 0xcd,
	0x4a, 0x0d, 0x34, 0x17, 0x3c, 0x0b, 0xdb, 0x7f, 0x69, 0xa0, 0x13, 0xf1, 0xd4, 0xf4, 0x87, 0xb1,
	0x27, 0x4a, 0xd5, 0x2d, 0x5e, 0x62, 0x74, 0x27, 0x14, 0xa9, 0x9a, 0x88, 0x20, 0x52, 0x32, 0x12,
	0x91, 0x27, 0xf3, 0xef, 0xdb, 0x43, 0xfa, 0x33, 0x1b, 0xf1, 0x0a, 0x9a, 0x41, 0x74, 0x86, 0x7b,
	0x95, 0xa9, 0xca, 0x91, 0xfd, 0x1d, 0xec, 0x9e, 0x49, 0x35, 0x8d, 0x24, 0x97, 0x7f, 0xac, 0x64,
	0xaa, 0xb2, 0xb1, 0x51, 0xde, 0xcd, 0xf9, 0x28, 0xaf, 0xac, 0x80, 0xf6, 0x18, 0x3a, 0xe3, 0x20,
	0x55, 0xc3, 0x30, 0x2c, 0x72, 0xf7, 0xa0, 0xb5, 0x14, 0xef, 0xe5, 0x3c, 0x0d, 0x3e, 0x49, 0xca,
	0xd6, 0xb9, 0x81, 0xc4, 0x2c, 0xf8, 0x24, 0xd9, 0xd7, 0x00, 0x14, 0x54, 0xf1, 0xad, 0x2c, 0xf4,
	0x50, 0xba, 0x8b, 0x84, 0x2d, 0xa1, 0x5b, 0xde, 0x96, 0x2e, 0xe3, 0x28, 0x95, 0xec, 0x30, 0x7f,
	0x5a, 0xe2, 0x94, 0xd4, 0x1f, 0xf4, 0x90, 0x3e, 0x44, 0xbc, 0x48, 0x60, 0x07, 0xd0, 0x8d, 0xe4,
	0x9d, 0x9a, 0x3f, 0x7a, 0x62, 0x17, 0xe9, 0xcb, 0xf2, 0x99, 0x37, 0x60, 0x9e, 0x26, 0x52, 0x28,
	0x59, 0x91, 0x78, 0x00, 0x3a, 0x5d, 0x93, 0xcf, 0xe2, 0xe3, 0x57, 0xb2, 0xb0, 0xfd, 0x2b, 0xbc,
	0xa8, 0x9c, 0xcd, 0x8b, 0x7c, 0xe6, 0xe1, 0xc3, 0x39, 0x34, 0x70, 0x1b, 0x98, 0x09, 0x3b, 0x23,
	0xe7, 0xed, 0xf0, 0x6a, 0xec, 0xce, 0x27, 0xd3, 0x91, 0x63, 0x6e, 0x31, 0x80, 0xe6, 0xc5, 0x94,
	0x4f, 0x86, 0x63, 0x53, 0x63, 0x7b, 0xf0, 0xa5, 0x3b, 0xbd, 0xe2, 0x17, 0xc3, 0x89, 0x73, 0x91,
	0x25, 0xcc, 0xdd, 0xdf, 0xa7, 0x73, 0xee, 0x8c, 0xcc, 0x1a, 0xdb, 0x07, 0xeb, 0xa9, 0xe0, 0xc9,
	0xf8, 0xca, 0x31, 0xeb, 0x87, 0x29, 0x18, 0xc5, 0x22, 0xb0, 0x97, 0x60, 0x16, 0x8f, 0x5c, 0x4e,
	0x67, 0xe7, 0xee, 0xf9, 0xf4, 0xc2, 0xdc, 0x62, 0x5d, 0x68, 0x63, 0xee, 0x7c, 0xe8, 0xba, 0xc3,
	0xd3, 0x77, 0xa6, 0x86, 0xb5, 0x10, 0x31, 0x72, 0xde, 0x3a, 0x17, 0x33, 0xc7, 0xac, 0xb1, 0x0e,
	0x00, 0x77, 0x46, 0x45, 0x46, 0x1d, 0x8f, 0x20, 0x2e, 0x12, 0x1a, 0x6c, 0x17, 0x5a, 0xb3, 0x4b,
	0xe7, 0xd4, 0x1d, 0xba, 0x53, 0x6e, 0xea, 0xc7, 0xff, 0x6a, 0xd0, 0x99, 0x64, 0x82, 0x67, 0x32,
	0xf9, 0x10, 0x78, 0x92, 0xfd, 0x04, 0xcd, 0x6c, 0x82, 0x98, 0x55, 0xe9, 0xc5, 0xc6, 0x50, 0xf5,
	0x1e, 0x75, 0xc9, 0xde, 0x62, 0x27, 0xb0, 0x9d, 0x0f, 0x00, 0xfb, 0xaa, 0x12, 0xde, 0x1c, 0xb1,
	0x5e, 0xef, 0xa9, 0x50, 0x66, 0x85, 0xbd, 0xc5, 0x7e, 0x83, 0x56, 0xe9, 0x10, 0xdb, 0xab, 0xa4,
	0x3e, 0xf4, 0xbc, 0xb7, 0xff, 0x74, 0xb0, 0xb8, 0xe9, 0xba, 0x49, 0xff, 0x3b, 0x7e, 0xf8, 0x3f,
	0x00, 0x00, 0xff, 0xff, 0xa9, 0xac, 0xea, 0x5f, 0x8a, 0x08, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// MatchesServiceClient is the client API for MatchesService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type MatchesServiceClient interface {
	GetOne(ctx context.Context, in *GetOneRequest, opts ...grpc.CallOption) (*Match, error)
	ListAll(ctx context.Context, in *ListAllRequest, opts ...grpc.CallOption) (*ListAllResponse, error)
	CreateOne(ctx context.Context, in *CreateOneRequest, opts ...grpc.CallOption) (*CreateOneResponse, error)
}

type matchesServiceClient struct {
	cc *grpc.ClientConn
}

func NewMatchesServiceClient(cc *grpc.ClientConn) MatchesServiceClient {
	return &matchesServiceClient{cc}
}

func (c *matchesServiceClient) GetOne(ctx context.Context, in *GetOneRequest, opts ...grpc.CallOption) (*Match, error) {
	out := new(Match)
	err := c.cc.Invoke(ctx, "/matchespb.MatchesService/GetOne", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *matchesServiceClient) ListAll(ctx context.Context, in *ListAllRequest, opts ...grpc.CallOption) (*ListAllResponse, error) {
	out := new(ListAllResponse)
	err := c.cc.Invoke(ctx, "/matchespb.MatchesService/ListAll", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *matchesServiceClient) CreateOne(ctx context.Context, in *CreateOneRequest, opts ...grpc.CallOption) (*CreateOneResponse, error) {
	out := new(CreateOneResponse)
	err := c.cc.Invoke(ctx, "/matchespb.MatchesService/CreateOne", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// MatchesServiceServer is the server API for MatchesService service.
type MatchesServiceServer interface {
	GetOne(context.Context, *GetOneRequest) (*Match, error)
	ListAll(context.Context, *ListAllRequest) (*ListAllResponse, error)
	CreateOne(context.Context, *CreateOneRequest) (*CreateOneResponse, error)
}

// UnimplementedMatchesServiceServer can be embedded to have forward compatible implementations.
type UnimplementedMatchesServiceServer struct {
}

func (*UnimplementedMatchesServiceServer) GetOne(ctx context.Context, req *GetOneRequest) (*Match, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetOne not implemented")
}
func (*UnimplementedMatchesServiceServer) ListAll(ctx context.Context, req *ListAllRequest) (*ListAllResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListAll not implemented")
}
func (*UnimplementedMatchesServiceServer) CreateOne(ctx context.Context, req *CreateOneRequest) (*CreateOneResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateOne not implemented")
}

func RegisterMatchesServiceServer(s *grpc.Server, srv MatchesServiceServer) {
	s.RegisterService(&_MatchesService_serviceDesc, srv)
}

func _MatchesService_GetOne_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetOneRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MatchesServiceServer).GetOne(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/matchespb.MatchesService/GetOne",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MatchesServiceServer).GetOne(ctx, req.(*GetOneRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MatchesService_ListAll_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListAllRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MatchesServiceServer).ListAll(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/matchespb.MatchesService/ListAll",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MatchesServiceServer).ListAll(ctx, req.(*ListAllRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MatchesService_CreateOne_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateOneRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MatchesServiceServer).CreateOne(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/matchespb.MatchesService/CreateOne",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MatchesServiceServer).CreateOne(ctx, req.(*CreateOneRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _MatchesService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "matchespb.MatchesService",
	HandlerType: (*MatchesServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetOne",
			Handler:    _MatchesService_GetOne_Handler,
		},
		{
			MethodName: "ListAll",
			Handler:    _MatchesService_ListAll_Handler,
		},
		{
			MethodName: "CreateOne",
			Handler:    _MatchesService_CreateOne_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "matchespb.proto",
}
